## mailcommon 24.12.3

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")

project(mailcommon VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES 
src/*.cpp
src/*.h
autotests/*.cpp
autotests/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
src/*.cpp
src/*.h
autotests/*.cpp
autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "6.3.3")
set(AKONADICONTACT_LIB_VERSION "6.3.3")
set(MESSAGELIB_LIB_VERSION "6.3.3")
set(KMIME_LIB_VERSION "6.3.3")
set(KMAILTRANSPORT_LIB_VERSION "6.3.3")
set(MAILIMPORTER_LIB_VERSION "6.3.3")
set(LIBKDEPIM_LIB_VERSION "6.3.3")
set(PIMCOMMON_LIB_VERSION "6.3.3")

set(PHONON_LIB_VERSION "4.12.0")
set(AKONADI_VERSION "6.3.3")
set(KTEXTADDONS_MIN_VERSION "1.5.4")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Xml)

set(GPGMEPP_LIB_VERSION "1.20.0")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)
find_package(QGpgmeQt6 ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt6 ${PHONON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILCOMMON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfigVersion.cmake"
                        SOVERSION 6
)


if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities (experimental)" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false) 
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES) 
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.1.0")
            set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
                "Allow to compile with plasma activities"
                TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(MAILCOMMON_HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()


########### Targets ###########
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)

add_subdirectory(src)
if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailCommon")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MailCommon_QCH
        FILE KPim6MailCommonQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MailCommonQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailCommonConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KPim6MailCommonTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6MailCommonTargets.cmake NAMESPACE KPim6::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailCommon COMPONENT Devel
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_definitions(-DTRANSLATION_DOMAIN=\"libmailcommon6\")

configure_file(config-mailcommon.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-mailcommon.h)

#add_definitions(-DQT_NO_CAST_FROM_ASCII)
#add_definitions(-DQT_NO_CAST_TO_ASCII)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()



kconfig_add_kcfg_files(libmailcommon_SRCS
    settings/mailcommonsettings_base.kcfgc
)


ecm_qt_declare_logging_category(libmailcommon_SRCS HEADER mailcommon_debug.h IDENTIFIER MAILCOMMON_LOG CATEGORY_NAME org.kde.pim.mailcommon
        OLD_CATEGORY_NAMES log_mailcommon
        DESCRIPTION "mailcommon (mailcommon)" EXPORT MAILCOMMON)

set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml PROPERTIES INCLUDE "dbusoperators.h")

qt_add_dbus_interfaces(libmailcommon_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml
)

ki18n_wrap_ui(libmailcommon_SRCS filter/ui/filterconfigwidget.ui snippets/ui/snippetwidget.ui filter/ui/selectthunderbirdfilterfileswidget.ui)

set(libmailcommon_SRCS ${libmailcommon_SRCS} filter/soundtestwidget.cpp)

macro(add_resource_iface _kcfgFile _ifaceName _className)
  kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
  qt_add_dbus_interface(libmailcommon_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_className}
)
endmacro()

add_resource_iface(settings.kcfg org.kde.Akonadi.POP3.Settings pop3settings)

qt_add_dbus_interfaces(libmailcommon_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.kde.Korganizer.Calendar.xml
)

add_library(KPim6MailCommon)

add_library(KPim6::MailCommon ALIAS KPim6MailCommon)

target_sources(KPim6MailCommon PRIVATE
    filter/kmfilteraccountlist.cpp
    filter/kmfilterlistbox.cpp
    filter/filterselectiondialog.cpp
    filter/filterconverter/filterconverttosieve.cpp
    filter/filterconverter/filterconverttosieveresultdialog.cpp
    filter/filterconverter/filterconverttosievepurposemenuwidget.cpp
    filter/filteractions/filteraction.cpp
    filter/filteractions/filteractionaddheader.cpp
    filter/filteractions/filteractionaddtag.cpp
    filter/filteractions/filteractionaddtoaddressbook.cpp
    filter/filteractions/filteractioncopy.cpp
    filter/filteractions/filteractiondecrypt.cpp
    filter/filteractions/filteractiondelete.cpp
    filter/filteractions/filteractiondict.cpp
    filter/filteractions/filteractionencrypt.cpp
    filter/filteractions/filteractionexec.cpp
    filter/filteractions/filteractionforward.cpp
    filter/filteractions/filteractionmove.cpp
    filter/filteractions/filteractionpipethrough.cpp
    filter/filteractions/filteractionplaysound.cpp
    filter/filteractions/filteractionredirect.cpp
    filter/filteractions/filteractionremoveheader.cpp
    filter/filteractions/filteractionreplyto.cpp
    filter/filteractions/filteractionrewriteheader.cpp
    filter/filteractions/filteractionsendfakedisposition.cpp
    filter/filteractions/filteractionsendreceipt.cpp
    filter/filteractions/filteractionsetidentity.cpp
    filter/filteractions/filteractionsetstatus.cpp
    filter/filteractions/filteractionstatus.cpp
    filter/filteractions/filteractionunsetstatus.cpp
    filter/filteractions/filteractionsettransport.cpp
    filter/filteractions/filteractionwidget.cpp
    filter/filteractions/filteractionwithaddress.cpp
    filter/filteractions/filteractionwithcommand.cpp
    filter/filteractions/filteractionwithcrypto.cpp
    filter/filteractions/filteractionwithfolder.cpp
    filter/filteractions/filteractionwithnone.cpp
    filter/filteractions/filteractionwithstring.cpp
    filter/filteractions/filteractionwithstringlist.cpp
    filter/filteractions/filteractionwithtest.cpp
    filter/filteractions/filteractionwithuoid.cpp
    filter/filteractions/filteractionwithurl.cpp
    filter/filterimporterexporter.cpp
    filter/filterimporter/filterimporterabstract.cpp
    filter/filterimporter/filterimporterevolution.cpp
    filter/filterimporter/filterimportersylpheed.cpp
    filter/filterimporter/filterimporterthunderbird.cpp
    filter/filterimporter/filterimporterprocmail.cpp
    filter/filterimporter/filterimporterbalsa.cpp
    filter/filterimporter/filterimporterclawsmail.cpp
    filter/filterimporter/filterimportergmail.cpp
    filter/filterlog.cpp
    filter/filtermanager.cpp
    filter/itemcontext.cpp
    filter/kmfilterdialog.cpp
    filter/mailfilter.cpp
    filter/filterimporterpathcache.cpp
    filter/dialog/selectthunderbirdfilterfilesdialog.cpp
    filter/dialog/selectthunderbirdfilterfileswidget.cpp
    filter/dialog/filteractionmissingfolderdialog.cpp
    filter/dialog/filteractionmissingsoundurldialog.cpp
    filter/dialog/filteractionmissingtagdialog.cpp
    filter/dialog/filteractionmissingaccountdialog.cpp
    filter/dialog/filteractionmissingtemplatedialog.cpp
    filter/dialog/filteractionmissingtransportdialog.cpp
    filter/dialog/filteractionmissingidentitydialog.cpp
    filter/invalidfilters/invalidfilterdialog.cpp
    filter/invalidfilters/invalidfilterlistview.cpp
    filter/invalidfilters/invalidfilterwidget.cpp
    filter/invalidfilters/invalidfilterinfo.cpp
    filter/invalidfilters/invalidfilterlistitemdelegate.cpp
    filter/invalidfilters/invalidfilterlistmodel.cpp
    filter/invalidfilters/invalidfilterinfowidget.cpp
    collectionpage/attributeregistrar.cpp
    collectionpage/collectiongeneralpage.cpp
    collectionpage/collectionexpirypage.cpp
    collectionpage/collectionexpirywidget.cpp
    collectionpage/attributes/expirecollectionattribute.cpp
    collectionpage/collectionexpiryjob.cpp
    collectionpage/collectiontemplateswidget.cpp
    collectionpage/collectionviewwidget.cpp
    collectionpage/collectiongeneralwidget.cpp
    folder/foldersettings.cpp
    folder/foldercollectionmonitor.cpp
    folder/folderrequester.cpp
    folder/folderselectiondialog.cpp
    folder/foldertreeview.cpp
    folder/foldertreewidget.cpp
    folder/foldertreewidgetproxymodel.cpp
    folder/entitycollectionorderproxymodel.cpp
    folder/accountconfigorderdialog.cpp
    folder/favoritecollectionorderproxymodel.cpp
    folder/hierarchicalfoldermatcher.cpp
    job/jobscheduler.cpp
    job/folderjob.cpp
    job/expirejob.cpp
    job/expiredeletejob.h
    job/expiredeletejob.cpp

    job/expiremovejob.h
    job/expiremovejob.cpp

    job/backupjob.cpp
    search/widgethandler/rulewidgethandlermanager.cpp
    search/searchpattern.cpp
    search/searchpatternedit.cpp
    search/widgethandler/encryptionwidgethandler.cpp
    search/widgethandler/textrulerwidgethandler.cpp
    search/widgethandler/statusrulewidgethandler.cpp
    search/widgethandler/messagerulewidgethandler.cpp
    search/widgethandler/tagrulewidgethandler.cpp
    search/widgethandler/numericrulewidgethandler.cpp
    search/widgethandler/daterulewidgethandler.cpp
    search/widgethandler/numericdoublerulewidgethandler.cpp
    search/widgethandler/headersrulerwidgethandler.cpp
    search/widgethandler/attachmentwidgethandler.cpp
    search/widgethandler/attachmentwidgethandler.h
    search/searchrule/searchrulenumerical.cpp
    search/searchrule/searchruledate.cpp
    search/searchrule/searchrulestring.cpp
    search/searchrule/searchrulestatus.cpp
    search/searchrule/searchruleencryption.cpp
    search/searchrule/searchrule.cpp
    search/searchrule/searchruleattachment.cpp
    search/searchrule/searchruleattachment.h
    snippets/snippetdialog.cpp
    snippets/snippetsmanager.cpp
    snippets/snippetsmodel.cpp
    snippets/snippetvariabledialog.cpp
    snippets/snippettreeview.cpp
    snippets/snippetwidget.cpp
    snippets/snippetattachmentwidget.cpp
    snippets/snippetselectattachmentwidget.cpp
    snippets/snippetselectattachmentdialog.cpp
    snippets/snippetcustomfileattachmentnamewidget.cpp
    snippets/snippetcustomfileattachmentnamedialog.cpp
    tag/tagwidget.cpp
    tag/tag.cpp
    tag/addtagdialog.cpp
    widgets/redirectdialog.cpp
    widgets/redirectwidget.cpp
    widgets/favoritecollectionwidget.cpp
    mdn/mdnwarningjob.h
    mdn/mdnwarningjob.cpp
    util/cryptoutils.cpp
    util/mailutil.cpp
    util/resourcereadconfigfile.cpp
    ${libmailcommon_SRCS}
    kernel/mailkernel.cpp
    job/folderjob.h
    job/expirejob.h
    job/jobscheduler.h
    job/backupjob.h
    filter/filterselectiondialog.h
    filter/kmfilteraccountlist.h
    filter/filterlog.h
    filter/dialog/filteractionmissingidentitydialog.h
    filter/dialog/filteractionmissingtemplatedialog.h
    filter/dialog/filteractionmissingaccountdialog.h
    filter/dialog/filteractionmissingtransportdialog.h
    filter/dialog/filteractionmissingfolderdialog.h
    filter/dialog/selectthunderbirdfilterfilesdialog.h
    filter/dialog/filteractionmissingsoundurldialog.h
    filter/dialog/filteractionmissingtagdialog.h
    filter/dialog/selectthunderbirdfilterfileswidget.h
    filter/invalidfilters/invalidfilterinfo.h
    filter/invalidfilters/invalidfilterlistitemdelegate.h
    filter/invalidfilters/invalidfilterlistmodel.h
    filter/invalidfilters/invalidfilterinfowidget.h
    filter/invalidfilters/invalidfilterdialog.h
    filter/invalidfilters/invalidfilterlistview.h
    filter/invalidfilters/invalidfilterwidget.h
    filter/kmfilterdialog.h
    filter/filtermanager.h
    filter/filterimporter/filterimportersylpheed.h
    filter/filterimporter/filterimportergmail.h
    filter/filterimporter/filterimporterprocmail.h
    filter/filterimporter/filterimporterabstract.h
    filter/filterimporter/filterimporterclawsmail.h
    filter/filterimporter/filterimporterthunderbird.h
    filter/filterimporter/filterimporterbalsa.h
    filter/filterimporter/filterimporterevolution.h
    filter/kmfilterlistbox.h
    filter/filterimporterpathcache.h
    filter/mailfilter.h
    filter/filteractions/filteractionexec.h
    filter/filteractions/filteractionstatus.h
    filter/filteractions/filteractionredirect.h
    filter/filteractions/filteractionwithaddress.h
    filter/filteractions/filteractionunsetstatus.h
    filter/filteractions/filteractiondict.h
    filter/filteractions/filteractionwithstring.h
    filter/filteractions/filteractionsettransport.h
    filter/filteractions/filteractionaddtag.h
    filter/filteractions/filteractionaddtoaddressbook.h
    filter/filteractions/filteractionwithcrypto.h
    filter/filteractions/filteractionreplyto.h
    filter/filteractions/filteractionwithnone.h
    filter/filteractions/filteractionwithurl.h
    filter/filteractions/filteractionpipethrough.h
    filter/filteractions/filteractiondelete.h
    filter/filteractions/filteractionwithtest.h
    filter/filteractions/filteractionwithuoid.h
    filter/filteractions/filteractionplaysound.h
    filter/filteractions/filteractionsetstatus.h
    filter/filteractions/filteractionwithstringlist.h
    filter/filteractions/filteraction.h
    filter/filteractions/filteractionsendreceipt.h
    filter/filteractions/filteractionsendfakedisposition.h
    filter/filteractions/filteractionremoveheader.h
    filter/filteractions/filteractioncopy.h
    filter/filteractions/filteractionsetidentity.h
    filter/filteractions/filteractiondecrypt.h
    filter/filteractions/filteractionencrypt.h
    filter/filteractions/filteractionmove.h
    filter/filteractions/filteractionforward.h
    filter/filteractions/filteractionwidget.h
    filter/filteractions/filteractionrewriteheader.h
    filter/filteractions/filteractionwithfolder.h
    filter/filteractions/filteractionaddheader.h
    filter/filteractions/filteractionwithcommand.h
    filter/itemcontext.h
    filter/filterimporterexporter.h
    filter/soundtestwidget.h
    filter/filterconverter/filterconverttosievepurposemenuwidget.h
    filter/filterconverter/filterconverttosieve.h
    filter/filterconverter/filterconverttosieveresultdialog.h
    search/widgethandler/textrulerwidgethandler.h
    search/widgethandler/rulewidgethandlermanager.h

=== src/collectionpage/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_mailcommon_collectionpage_test _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "mailcommon-collectionpage-"
        LINK_LIBRARIES Qt::Test Qt::Gui KPim6::AkonadiCore KPim6::MailCommon KF6::Completion
)
endmacro()

add_mailcommon_collectionpage_test(expirecollectionattributetest.cpp)

=== src/filter/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
set(mailcommon_filter_test_LIBS Qt::Test Qt::Gui KPim6::AkonadiCore KPim6::AkonadiMime
                                KPim6::MailCommon KPim6::PimCommon Phonon::phonon4qt6
                                KF6::KIOWidgets KF6::IconThemes KPim6::TemplateParser
				KPim6::AkonadiContactWidgets
                                KPim6::MailTransport KF6::I18n KF6::SyntaxHighlighting KF6::Codecs
)

add_definitions(-DTEST_PATH=\"${CMAKE_CURRENT_SOURCE_DIR}\")

macro(add_mailcommon_filter_test _name)
    ecm_add_test(${ARGN}
        TEST_NAME ${_name}
        NAME_PREFIX "mailcommon-filter-"
        LINK_LIBRARIES ${mailcommon_filter_test_LIBS}
)
endmacro()

macro(add_mailcommon_filter_akonadi_test _name _sources)
    set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
    add_akonadi_isolated_test_advanced(${_name} "${ARGN}" "${mailcommon_filter_test_LIBS}")
endmacro()

set(filter_common_SRCS)
ecm_qt_declare_logging_category(filter_common_SRCS HEADER mailcommon_debug.h IDENTIFIER MAILCOMMON_LOG CATEGORY_NAME org.kde.pim.mailcommon)

add_mailcommon_filter_test(itemcontexttest
    itemcontexttest.cpp itemcontexttest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionpipethroughtest
   filteractionpipethroughtest.cpp
   filteractionpipethroughtest.h
   ../filteractions/filteractionpipethrough.cpp
   ../filteractions/filteractionwithcommand.cpp
   ../filteractions/filteractionwithurl.cpp
   ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionheadertest
    filteractionaddheadertest.cpp
    filteractionaddheadertest.h
    ../filteractions/filteractionaddheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractiondeletetest
    filteractiondeletetest.cpp
    filteractiondeletetest.h
    ../filteractions/filteractiondelete.cpp
    ../filteractions/filteractionwithnone.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionencrypttest
    filteractionencrypttest.cpp
    filteractionencrypttest.h
    gpghelper.cpp gpghelper.h
    ../filteractions/filteractionencrypt.cpp
    ../filteractions/filteractionwithcrypto.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractiondecrypttest
    filteractiondecrypttest.cpp
    filteractiondecrypttest.h
    gpghelper.cpp gpghelper.h
    ../filteractions/filteractiondecrypt.cpp
    ../filteractions/filteractionwithcrypto.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionrewriteheadertest
    filteractionrewriteheadertest.cpp
    filteractionrewriteheadertest.h
    ../filteractions/filteractionrewriteheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsetstatustest
    filteractionsetstatustest.cpp
    filteractionsetstatustest.h
    ../filteractions/filteractionsetstatus.cpp
    ../filteractions/filteractionstatus.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionreplytotest
    filteractionreplytotest.cpp
    filteractionreplytotest.h
    ../filteractions/filteractionreplyto.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionwithurltest
    filteractionwithurltest.cpp
    filteractionwithurltest.h
    ../filteractions/filteractionwithurl.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionremoveheadertest
    filteractionremoveheadertest.cpp
    filteractionremoveheadertest.h
    ../filteractions/filteractionremoveheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionwithaddresstest
    filteractionwithaddresstest.cpp
    filteractionwithaddresstest.h
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_akonadi_test(filteractionaddtoaddressbooktest.cpp
    filteractionaddtoaddressbooktest.cpp
    filteractionaddtoaddressbooktest.h
    ../filteractions/filteractionaddtoaddressbook.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionplaysoundtest
    filteractionplaysoundtest.cpp
    filteractionplaysoundtest.h
    ../filteractions/filteractionplaysound.cpp
    ../filteractions/filteractionwithtest.cpp
    ../filteractions/filteractionplaysound.cpp
    ../soundtestwidget.cpp
    ../dialog/filteractionmissingsoundurldialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterdialogtest
    invalidfilterdialogtest.cpp
    invalidfilterdialogtest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterwidgettest
    invalidfilterwidgettest.cpp
    invalidfilterwidgettest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterlistwidgettest
    invalidfilterlistwidgettest.cpp
    invalidfilterlistwidgettest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionunsetstatustest
    filteractionunsetstatustest.cpp
    filteractionunsetstatustest.h
    ../filteractions/filteractionunsetstatus.cpp
    ../filteractions/filteractionstatus.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionredirecttest
    filteractionredirecttest.cpp
    filteractionredirecttest.h
    ../filteractions/filteractionredirect.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterinfotest
    invalidfilterinfotest.cpp
    invalidfilterinfotest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsendfakedispositiontest
    filteractionsendfakedispositiontest.cpp
    filteractionsendfakedispositiontest.h
    ../filteractions/filteractionsendfakedisposition.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionforwardtest
    filteractionforwardtest.cpp
    filteractionforwardtest.h
    ../filteractions/filteractionforward.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ../dialog/filteractionmissingtemplatedialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterinfowidgettest
    invalidfilterinfowidgettest.cpp
    invalidfilterinfowidgettest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractioncopytest
    filteractioncopytest.cpp
    filteractioncopytest.h
    ../filteractions/filteractioncopy.cpp
    ../filteractions/filteractionwithfolder.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionmovetest
    filteractionmovetest.cpp
    filteractionmovetest.h
    ../filteractions/filteractionmove.cpp
    ../filteractions/filteractionwithfolder.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionexectest
    filteractionexectest.cpp
    filteractionexectest.h
    ../filteractions/filteractionexec.cpp
    ../filteractions/filteractionwithcommand.cpp
    ../filteractions/filteractionwithurl.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsendreceipttest
    filteractionsendreceipttest.cpp
    filteractionsendreceipttest.h
    ../filteractions/filteractionsendreceipt.cpp
    ../filteractions/filteractionwithnone.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsettransporttest
    filteractionsettransporttest.cpp
    filteractionsettransporttest.h
    ../filteractions/filteractionsettransport.cpp
    ../dialog/filteractionmissingtransportdialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filterconverttosieveresultdialog
    filterconverttosieveresultdialogtest.cpp
    filterconverttosieveresultdialogtest.h
    ../filterconverter/filterconverttosieveresultdialog.cpp
    ../filterconverter/filterconverttosievepurposemenuwidget.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(mailfiltertest
    mailfiltertest.cpp
    mailfiltertest.h
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionmissingsoundurldialogtest
    filteractionmissingsoundurldialogtest.cpp
    filteractionmissingsoundurldialogtest.h
    ../dialog/filteractionmissingsoundurldialog.cpp
)

add_mailcommon_filter_test(filteractionmissingtemplatedialogtest
    filteractionmissingtemplatedialogtest.cpp
    filteractionmissingtemplatedialogtest.h
    ../dialog/filteractionmissingtemplatedialog.cpp
)

add_mailcommon_filter_test(filteractionmissingtransportdialogtest
    filteractionmissingtransportdialogtest.cpp
    filteractionmissingtransportdialogtest.h
    ../dialog/filteractionmissingtransportdialog.cpp
)

add_mailcommon_filter_test(filteractionmissingaccountdialogtest
    filteractionmissingaccountdialogtest.cpp
    filteractionmissingaccountdialogtest.h
    ../dialog/filteractionmissingaccountdialog.cpp
)

add_mailcommon_filter_test(filteractionmissingtagdialogtest
    filteractionmissingtagdialogtest.cpp
    filteractionmissingtagdialogtest.h
    ../dialog/filteractionmissingtagdialog.cpp
)

add_mailcommon_filter_akonadi_test(
    filteractionmissingidentitydialogtest.cpp
    filteractionmissingidentitydialogtest.h
    ../dialog/filteractionmissingidentitydialog.cpp
    ../../../autotests/dummykernel.cpp ../../../autotests/dummykernel.h
)

add_mailcommon_filter_test(filterimporterpathcachetest
    filterimporterpathcachetest.cpp
    filterimporterpathcachetest.h
)

add_mailcommon_filter_test(filterlogtest
    filterlogtest.cpp
    filterlogtest.h
)

=== src/search/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_search_autotest _name)
    ecm_add_test(${ARGN}
        TEST_NAME ${_name}
        NAME_PREFIX "mailcommon-search-"
        LINK_LIBRARIES Qt::Test Qt::Gui KPim6::Mime KPim6::AkonadiCore KPim6::AkonadiMime KPim6::MailCommon KF6::I18n KF6::Codecs
)
endmacro()

add_search_autotest(searchpatterntest
    searchpatterntest.cpp
    searchpatterntest.h
)
add_search_autotest(searchruletest
    searchruletest.cpp
    searchruletest.h
)

add_search_autotest(searchruleattachmenttest
	searchruleattachmenttest.cpp
	searchruleattachmenttest.h
)

add_search_autotest(searchrulestatustest
    searchrulestatustest.cpp
    searchrulestatustest.h
)
add_search_autotest(searchrulenumericaltest
    searchrulenumericaltest.cpp
    searchrulenumericaltest.h
)
add_search_autotest(searchruledatetest
    searchruledatetest.cpp
    searchruledatetest.h
)
add_search_autotest(searchrulestringtest
    searchrulestringtest.cpp
    searchrulestringtest.h
)
add_search_autotest(searchruleencryptiontest
    searchruleencryptiontest.cpp
    searchruleencryptiontest.h
)

=== src/snippets/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_snippets _source)
     get_filename_component(_name ${_source} NAME_WE)
     ecm_add_test(${_source} ${_name}.h
         TEST_NAME ${_name}
         NAME_PREFIX "mailcommon-filter-"
         LINK_LIBRARIES Qt::Test Qt::Gui KPim6::MailCommon KF6::XmlGui
    )

endmacro()

add_snippets(snippetsmanagertest.cpp)
add_snippets(snippetwidgettest.cpp)
add_snippets(snippetattachmentwidgettest.cpp)
add_snippets(snippetselectattachmentwidgettest.cpp)
add_snippets(snippetselectattachmentdialogtest.cpp)
add_snippets(snippetcustomfileattachmentnamedialogtest.cpp)
add_snippets(snippetcustomfileattachmentnamewidgettest.cpp)

=== debian/changelog ===
mailcommon (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:36 +0100

=== debian/control ===
Source: mailcommon
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               dbus,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:24.12.3~),
               libakonadicontact-dev (>= 4:24.12.3~),
               libakonadimime-dev (>= 4:24.12.3~),
               libgpgme-dev (>= 1.20.0~),
               libgpgmepp-dev (>= 1.20.0~),
               libkdepim-dev (>= 4:24.12.3~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.3~),
               libkmailtransport-dev (>= 24.12.3~),
               libkmime-dev (>= 24.12.3~),
               libktextaddons-dev (>= 1.5.4~),
               libmailimporter-dev (>= 4:24.12.3~),
               libphonon4qt6-dev (>= 4:4.12.0~),
               libpimcommon-dev (>= 4:24.12.3~),
               libplasmaactivities-dev (>= 6.1.0~),
               libqgpgmeqt6-dev (>= 1.20.0~),
               messagelib-dev (>= 4:24.12.3~),
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/mailcommon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailcommon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailcommon.git
Rules-Requires-Root: no

Package: libmailcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM email utility library - data files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the shared data distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libmailcommon-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Depends: libakonadi-dev (>= 4:24.12.3~),
         libakonadimime-dev (>= 4:24.12.3~),
         libkdepim-dev (>= 4:24.12.3~),
         libkf6completion-dev (>= 6.6.0~),
         libkpim6mailcommon6 (= ${binary:Version}),
         libpimcommon-dev (>= 4:24.12.3~),
         messagelib-dev (>= 4:24.12.3~),
         ${misc:Depends},
Description: KDE PIM email utility library - development files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libmailcommon-plugins
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE PIM email utility library - plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkpim6mailcommon6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libmailcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dbus-run-session -- dh_auto_test --no-parallel

## mailcommon 25.04.0

=== debian/changelog ===
mailcommon (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build depend on qt6-multimedia-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:03:13 +0100

mailcommon (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: mailcommon
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               dbus,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadicontact-dev (>= 4:24.12.3~),
-               libakonadimime-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.04.0~),
+               libakonadicontact-dev (>= 4:25.04.0~),
+               libakonadimime-dev (>= 4:25.04.0~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:24.12.3~),
+               libkdepim-dev (>= 4:25.04.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -29,24 +30,25 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
+               libkidentitymanagement-dev (>= 25.04.0~),
+               libkmailtransport-dev (>= 25.04.0~),
+               libkmime-dev (>= 25.04.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:24.12.3~),
+               libmailimporter-dev (>= 4:25.04.0~),
                libphonon4qt6-dev (>= 4:4.12.0~),
-               libpimcommon-dev (>= 4:24.12.3~),
+               libpimcommon-dev (>= 4:25.04.0~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:24.12.3~),
+               messagelib-dev (>= 4:25.04.0~),
                qt6-base-dev (>= 6.7.0~),
+               qt6-multimedia-dev,
                xauth,
                xsltproc,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/mailcommon
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailcommon
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailcommon.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
 Rules-Requires-Root: no
 
 Package: libmailcommon-data
@@ -63,13 +65,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:24.12.3~),
-         libakonadimime-dev (>= 4:24.12.3~),
-         libkdepim-dev (>= 4:24.12.3~),
+Depends: libakonadi-dev (>= 4:25.04.0~),
+         libakonadimime-dev (>= 4:25.04.0~),
+         libkdepim-dev (>= 4:25.04.0~),
          libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:24.12.3~),
-         messagelib-dev (>= 4:24.12.3~),
+         libpimcommon-dev (>= 4:25.04.0~),
+         messagelib-dev (>= 4:25.04.0~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.

## mailcommon 25.04.1

=== debian/changelog ===
mailcommon (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:17:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.0~),
-               libakonadicontact-dev (>= 4:25.04.0~),
-               libakonadimime-dev (>= 4:25.04.0~),
+               libakonadi-dev (>= 4:25.04.1~),
+               libakonadicontact-dev (>= 4:25.04.1~),
+               libakonadimime-dev (>= 4:25.04.1~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:25.04.0~),
+               libkdepim-dev (>= 4:25.04.1~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -30,16 +30,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.0~),
-               libkmailtransport-dev (>= 25.04.0~),
-               libkmime-dev (>= 25.04.0~),
+               libkidentitymanagement-dev (>= 25.04.1~),
+               libkmailtransport-dev (>= 25.04.1~),
+               libkmime-dev (>= 25.04.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:25.04.0~),
+               libmailimporter-dev (>= 4:25.04.1~),
                libphonon4qt6-dev (>= 4:4.12.0~),
-               libpimcommon-dev (>= 4:25.04.0~),
+               libpimcommon-dev (>= 4:25.04.1~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:25.04.0~),
+               messagelib-dev (>= 4:25.04.1~),
                qt6-base-dev (>= 6.7.0~),
                qt6-multimedia-dev,
                xauth,
@@ -65,13 +65,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:25.04.0~),
-         libakonadimime-dev (>= 4:25.04.0~),
-         libkdepim-dev (>= 4:25.04.0~),
+Depends: libakonadi-dev (>= 4:25.04.1~),
+         libakonadimime-dev (>= 4:25.04.1~),
+         libkdepim-dev (>= 4:25.04.1~),
          libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:25.04.0~),
-         messagelib-dev (>= 4:25.04.0~),
+         libpimcommon-dev (>= 4:25.04.1~),
+         messagelib-dev (>= 4:25.04.1~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.

## mailcommon 25.04.2

=== debian/changelog ===
mailcommon (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:00:58 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.1~),
-               libakonadicontact-dev (>= 4:25.04.1~),
-               libakonadimime-dev (>= 4:25.04.1~),
+               libakonadi-dev (>= 4:25.04.2~),
+               libakonadicontact-dev (>= 4:25.04.2~),
+               libakonadimime-dev (>= 4:25.04.2~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:25.04.1~),
+               libkdepim-dev (>= 4:25.04.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -30,16 +30,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.1~),
-               libkmailtransport-dev (>= 25.04.1~),
-               libkmime-dev (>= 25.04.1~),
+               libkidentitymanagement-dev (>= 25.04.2~),
+               libkmailtransport-dev (>= 25.04.2~),
+               libkmime-dev (>= 25.04.2~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:25.04.1~),
+               libmailimporter-dev (>= 4:25.04.2~),
                libphonon4qt6-dev (>= 4:4.12.0~),
-               libpimcommon-dev (>= 4:25.04.1~),
+               libpimcommon-dev (>= 4:25.04.2~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:25.04.1~),
+               messagelib-dev (>= 4:25.04.2~),
                qt6-base-dev (>= 6.7.0~),
                qt6-multimedia-dev,
                xauth,
@@ -65,13 +65,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:25.04.1~),
-         libakonadimime-dev (>= 4:25.04.1~),
-         libkdepim-dev (>= 4:25.04.1~),
+Depends: libakonadi-dev (>= 4:25.04.2~),
+         libakonadimime-dev (>= 4:25.04.2~),
+         libkdepim-dev (>= 4:25.04.2~),
          libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:25.04.1~),
-         messagelib-dev (>= 4:25.04.1~),
+         libpimcommon-dev (>= 4:25.04.2~),
+         messagelib-dev (>= 4:25.04.2~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.
